S@H version 7.03 released for ATI/AMD GPUs under windows.

Message boards : News : S@H version 7.03 released for ATI/AMD GPUs under windows.
Message board moderation

To post messages, you must log in.

1 · 2 · 3 · 4 · Next

AuthorMessage
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45723 - Posted: 6 May 2013, 21:34:21 UTC

Thus far, they are BOINC 7, only. I'm deciding whether it's safe to continue releasing BOINC 6 revisions of ATI apps. X64 Linux versions should be out shortly.

There are now two versions. One for HD5000+ cards only and that works on all cards including pre-HD5000 cards. These versions should get delivered to Catalyst version 12.10 and earlier, and Catalyst 13.2 and later. If you've got one of those driver revisions and aren't getting work, let me know.
ID: 45723 · Report as offensive
Profile Raistmer
Volunteer tester
Avatar

Send message
Joined: 18 Aug 05
Posts: 2423
Credit: 15,878,738
RAC: 0
Russia
Message 45724 - Posted: 6 May 2013, 22:55:07 UTC

Why we still need these ones?

Windows/x86 7.02 (ati_opencl_pre129) 8 Apr 2013, 16:34:53 UTC
Windows/x86 7.02 (ati_opencl_sah) 8 Apr 2013, 16:34:53 UTC

ID: 45724 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45725 - Posted: 6 May 2013, 23:07:39 UTC - in response to Message 45724.  

Thanks for reminding me. I'll deprecate them.
ID: 45725 · Report as offensive
Profile Raistmer
Volunteer tester
Avatar

Send message
Joined: 18 Aug 05
Posts: 2423
Credit: 15,878,738
RAC: 0
Russia
Message 45732 - Posted: 7 May 2013, 7:43:35 UTC

Few observations:

1) I detached BOINC7 host and attached it again - recived many MB7 tasks, not just 1 - should it be so?

2) Did the same with BOINC6 host... and recived 1 task for ati_opencl_pre129 plan class. I did this few mins ago, MB 7.02 ATi app not listed on web page already. How it can be then? BOINC sends deprecated apps ? It could be good in my particular case cause w/o it BOINC6 could not participate at all currently but it's bug still.
ID: 45732 · Report as offensive
Father Ambrose
Volunteer tester

Send message
Joined: 1 May 07
Posts: 556
Credit: 6,443,402
RAC: 445
United Kingdom
Message 45736 - Posted: 7 May 2013, 15:20:44 UTC

Now that MB 7.03 is here what is the lowest card for ATI.

After updating to cat 13.4 I've managed to reduce downloads from ati5 + ati to just ati.


Michael
A computer program will always do what you tell it to do, but rarely what you want it to do.
ID: 45736 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45738 - Posted: 7 May 2013, 15:28:16 UTC - in response to Message 45737.  

The ATI version should work with Abstraction Layer 7 hardware (which I believe starts in the HD5000 series). The ATI5 version should go down to Abstraction Layer 5, which I believe is everything that supports OpenCL.

ID: 45738 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45739 - Posted: 7 May 2013, 15:31:22 UTC - in response to Message 45732.  


1) I detached BOINC7 host and attached it again - recived many MB7 tasks, not just 1 - should it be so?


Yes, if the work estimate indicates you can do many tasks before deadline or full queue.


2) Did the same with BOINC6 host... and recived 1 task for ati_opencl_pre129 plan class. I did this few mins ago, MB 7.02 ATi app not listed on web page already. How it can be then? BOINC sends deprecated apps ? It could be good in my particular case cause w/o it BOINC6 could not participate at all currently but it's bug still.


Apparently the server will send deprecated versions if the only tasks your GPU or CPU can use are for deprecated versions. I'll have to see if there is a way to turn off this "feature."
ID: 45739 · Report as offensive
Father Ambrose
Volunteer tester

Send message
Joined: 1 May 07
Posts: 556
Credit: 6,443,402
RAC: 445
United Kingdom
Message 45740 - Posted: 7 May 2013, 15:35:28 UTC

Thanks Eric.

I'll give it another try I'm still using AMD Radeon HD4600.

Michael
ID: 45740 · Report as offensive
Profile Raistmer
Volunteer tester
Avatar

Send message
Joined: 18 Aug 05
Posts: 2423
Credit: 15,878,738
RAC: 0
Russia
Message 45741 - Posted: 7 May 2013, 20:55:52 UTC - in response to Message 45738.  

The ATI version should work with Abstraction Layer 7 hardware (which I believe starts in the HD5000 series). The ATI5 version should go down to Abstraction Layer 5, which I believe is everything that supports OpenCL.


Hm, not sure what you mean by AL5 or AL7, but HD5 will work with HD5xxx and up, non-HD5 with HD4xxx and up. Both are OpenCL 1.0 compatible, but HD5 make use of local memory that emulated via global one on HD4xxx cards hance such difference.
ID: 45741 · Report as offensive
Profile Raistmer
Volunteer tester
Avatar

Send message
Joined: 18 Aug 05
Posts: 2423
Credit: 15,878,738
RAC: 0
Russia
Message 45742 - Posted: 7 May 2013, 20:57:42 UTC - in response to Message 45740.  

Thanks Eric.

I'll give it another try I'm still using AMD Radeon HD4600.

Michael


Did your GPU work with prev OpenCL MB releases? If not than don't waste time to try again, nothing changed in low-level HD4xxx GPU support.
ID: 45742 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45743 - Posted: 7 May 2013, 21:09:26 UTC - in response to Message 45741.  

Abstraction layer level was how ATI was going to tell you what functions were supported on a GPU. Like everything else ATI ever did, it's now deprecated. It's even been scrubbed from the wikipedia pages for ATI/AMD GPUs. Hopefully the API will continue to return 7 or higher for the level for future cards.

The reason it was necessary is that in the past there was no clear relationship between model number and capabilities.
ID: 45743 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45744 - Posted: 7 May 2013, 21:10:19 UTC - in response to Message 45740.  

I'll look at the logs to see whats up if you can't get work.

Thanks Eric.

I'll give it another try I'm still using AMD Radeon HD4600.

Michael


ID: 45744 · Report as offensive
Profile Raistmer
Volunteer tester
Avatar

Send message
Joined: 18 Aug 05
Posts: 2423
Credit: 15,878,738
RAC: 0
Russia
Message 45746 - Posted: 7 May 2013, 21:33:15 UTC - in response to Message 45743.  

Hopefully the API will continue to return 7 or higher for the level for future cards.

In what API that call exists?
ID: 45746 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45747 - Posted: 7 May 2013, 22:02:26 UTC - in response to Message 45746.  
Last modified: 7 May 2013, 22:03:38 UTC

calGetDeviceAttribs() It's the target field of the attributes. I guess I should be calling it target rather than level. Last I checked they are up to 23, but I think your HD5 version runs on everything above 7.
ID: 45747 · Report as offensive
Urs Echternacht
Volunteer tester
Avatar

Send message
Joined: 18 Jan 06
Posts: 1038
Credit: 18,734,730
RAC: 0
Germany
Message 45748 - Posted: 7 May 2013, 22:25:59 UTC

Linux MBv7_7.03 GPU app does not work, because of wrong .cl filename.

It is expecting "MultiBeam_Kernels_r1831.cl" in the "projects/setiweb.ssl.berkeley.edu_beta/" dir and NOT "MultiBeam_Kernels_r1831_linux_ati.cl".

Examples for error outcome are on this host.
_\|/_
U r s
ID: 45748 · Report as offensive
Claggy
Volunteer tester

Send message
Joined: 29 May 06
Posts: 1037
Credit: 8,440,339
RAC: 3
United Kingdom
Message 45749 - Posted: 7 May 2013, 22:31:41 UTC - in response to Message 45748.  
Last modified: 7 May 2013, 22:33:27 UTC

Linux MBv7_7.03 GPU app does not work, because of wrong .cl filename.

It is expecting "MultiBeam_Kernels_r1831.cl" in the "projects/setiweb.ssl.berkeley.edu_beta/" dir and NOT "MultiBeam_Kernels_r1831_linux_ati.cl".

Examples for error outcome are on this host.


The windows apps had changes so it would follow the <open_name> as command, did that not make it to the Linux apps?:

    <file_ref>
        <file_name>MultiBeam_Kernels_r1831_windows_ati.cl</file_name>
        <open_name>MultiBeam_Kernels_r1831.cl</open_name>
    </file_ref>


http://lunatics.kwsn.net/gpu-crunching/mb-ati-stock-r1807.0.html

Claggy
ID: 45749 · Report as offensive
Urs Echternacht
Volunteer tester
Avatar

Send message
Joined: 18 Jan 06
Posts: 1038
Credit: 18,734,730
RAC: 0
Germany
Message 45750 - Posted: 7 May 2013, 22:34:59 UTC - in response to Message 45749.  
Last modified: 7 May 2013, 22:35:48 UTC

Linux MBv7_7.03 GPU app does not work, because of wrong .cl filename.

It is expecting "MultiBeam_Kernels_r1831.cl" in the "projects/setiweb.ssl.berkeley.edu_beta/" dir and NOT "MultiBeam_Kernels_r1831_linux_ati.cl".

Examples for error outcome are on this host.


The windows apps had changes so it would follow the <open_name> as command, did that not make it to the Linux apps?:

    <file_ref>
        <file_name>MultiBeam_Kernels_r1831_windows_ati.cl</file_name>
        <open_name>MultiBeam_Kernels_r1831.cl</open_name>
    </file_ref>


Claggy

Guess not. Otherwise it would work. There is no MS file handling on Linux, so has to be implemented separately. Where and when was that communicated ? Must have missed that!
_\|/_
U r s
ID: 45750 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45751 - Posted: 7 May 2013, 22:53:01 UTC - in response to Message 45750.  

Oops. We'll have to get a new one out ASAP.
ID: 45751 · Report as offensive
Urs Echternacht
Volunteer tester
Avatar

Send message
Joined: 18 Jan 06
Posts: 1038
Credit: 18,734,730
RAC: 0
Germany
Message 45752 - Posted: 7 May 2013, 23:14:55 UTC - in response to Message 45751.  

Oops. We'll have to get a new one out ASAP.

You'll have it today (your time).
_\|/_
U r s
ID: 45752 · Report as offensive
Profile Eric J Korpela
Volunteer moderator
Project administrator
Project developer
Project scientist
Avatar

Send message
Joined: 15 Mar 05
Posts: 1547
Credit: 26,991,474
RAC: 1,371
United States
Message 45753 - Posted: 8 May 2013, 1:14:00 UTC - in response to Message 45752.  

They've been updated. Fingers crossed....
ID: 45753 · Report as offensive
1 · 2 · 3 · 4 · Next

Message boards : News : S@H version 7.03 released for ATI/AMD GPUs under windows.


 
©2019 University of California
 
SETI@home and Astropulse are funded by grants from the National Science Foundation, NASA, and donations from SETI@home volunteers. AstroPulse is funded in part by the NSF through grant AST-0307956.